{ lib, config, inputs, pkgs, ... }:
{
  wayland.windowManager.hyprland = {
    enable = true;
    systemd = {
      enable = true;
    };

    settings = {
      general = {
        gaps_in = 15;
        gaps_out = 20;
        border_size = 2.7;
        cursor_inactive_timeout = 4;
      };
      animations = {
        enabled = true;
      };

      bind = let
        terminal = "${pkgs.kitty}/bin/kitty";
      in [
        "SUPER,Return,exec,${terminal}"
      ];
    };
  };
}
